<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>JS exercise 1</title>
</head>

<body>
    <script>
        /*
                Напииште функцию isPassport, которая проверяет, является ли переданная строка номером паспорта. 
                Функция принимает в себя 1 аргумент - строку, и возвращает true, если первые 2 символа строки - буквы, 
                следующие 6 - цифры, и у строки всего 8 символов.
                Желательно написать стрелочную функцию.
                Регулярные выражения использовать нельзя.
                */

        isPassport = str => {
            const letters = str.slice(0, 2)
            const numbers = str.slice(2, 7)

            if (str.length === 8 && letters.trim().length === 2 && isNaN(parseInt(letters)) && !isNaN(numbers)) {
                return true
            } else {
                return false
            }
        }


        console.log(isPassport("EH423815"));
        console.log(isPassport(" H423815"));
        console.log(isPassport("EH 423815"));
        console.log(isPassport("1H423815"));
    </script>
</body>

</html>